package cn.iocoder.yudao.module.member.controller.admin.user.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 用户 Response VO
* @author Marcus
*/
@Data
@ApiModel("管理后台 - 用户 Response VO")
public class UserBackVO {

    @ExcelProperty("编号")
    @ApiModelProperty(value = "编号", required = true)
    private Long id;

    @ExcelProperty("用户昵称")
    @ApiModelProperty(value = "用户昵称", required = true)
    private String nickname;

    @ExcelProperty("头像")
    @ApiModelProperty(value = "头像", required = true)
    private String avatar;

    @ExcelProperty("状态")
    @ApiModelProperty(value = "状态", required = true)
    private Integer status;

    @ExcelProperty("手机号")
    @ApiModelProperty(value = "手机号", required = true)
    private String mobile;

    @ExcelProperty("密码")
    @ApiModelProperty(value = "密码", required = true)
    private String password;

    @ExcelProperty("注册 IP")
    @ApiModelProperty(value = "注册 IP", required = true)
    private String registerIp;

    @ExcelProperty("最后登录IP")
    @ApiModelProperty(value = "最后登录IP")
    private String loginIp;

    @ExcelProperty("最后登录时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "最后登录时间")
    private Date loginDate;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;



    /**
     * 英文名称
     */
    @ExcelProperty("英文名称")
    @ApiModelProperty(value = "英文名称")
    private String  englishName;

    @ExcelProperty("邮箱")
    @ApiModelProperty(value = "邮箱")
    private String email;

    @ExcelProperty("保函")
    @ApiModelProperty(value = "保函")
    private String backLetterImg;

    /**
     * 生日
     */
    @ExcelProperty("生日")
    @ApiModelProperty(value = "生日")
    private Date birthday;
    /**
     * 部门
     */
    @ExcelProperty("部门")
    @ApiModelProperty(value = "部门")
    private String department;
    /**
     * 性别：0 女 1 男 2 保密
     */
    @ExcelProperty("性别：0 女 1 男 2 保密")
    @ApiModelProperty(value = "性别：0 女 1 男 2 保密")
    private Integer gender;
    /**
     * 工作职位
     */
    @ExcelProperty("工作职位")
    @ApiModelProperty(value = "工作职位")
    private String jobPosition;
    /**
     * 地址
     */
    @ExcelProperty("地址")
    @ApiModelProperty(value = "地址")
    private String address;


    /**
     * 后台客户成交状态
     */
    @ExcelProperty("后台客户成交状态:是否成交")
    @ApiModelProperty(value = "后台客户成交状态:是否成交")
    private Boolean isDeal;


    /**
     * 身份认证审核状态
     */
    @ExcelProperty("身份认证审核状态")
    @ApiModelProperty(value = "身份认证审核状态 0未审核；1审核中；2审核通过；3审核不通过 见audit_status")
    private Integer identityAuditStatus;

    /**
     * 身份认证审核创建时间
     */
    @ExcelProperty("身份认证提交时间")
    @ApiModelProperty(value = "身份认证提交时间")
    private Date identityAuditCreateTime;

    /**
     * 身份认证审核审核时间
     */
    @ExcelProperty("身份认证审核时间")
    @ApiModelProperty(value = "身份认证审核时间")
    private Date identityAuditTime;

    /**
     * 身份认证审核失败原因
     */
    @ExcelProperty("身份认证审核备注")
    @ApiModelProperty(value = "身份认证审核备注")
    private String identityAuditRemark;

    /**
     * 真实姓名
     */
    @ExcelProperty("真实姓名")
    @ApiModelProperty(value = "真实姓名")
    private String identityName;

    /**
     * 企业认证审核状态
     */
    @ExcelProperty("企业认证审核状态")
    @ApiModelProperty(value = "企业认证审核状态 0未审核；1审核中；2审核通过；3审核不通过 见audit_status")
    private Integer enterpriseAuditStatus;

    @ExcelProperty("企业认证提交时间")
    @ApiModelProperty(value = "企业认证提交时间")
    private Date enterpriseAuditCreateTime;

    @ExcelProperty("企业认证审核时间")
    @ApiModelProperty(value = "企业认证审核时间")
    private Date enterpriseAuditTime;

    /**
     * 企业认证审核失败原因
     */
    @ExcelProperty("企业认证审核备注")
    @ApiModelProperty(value = "企业认证审核备注")
    private String enterpriseAuditRemark;

    /**
     * 企业名称(中文)
     */
    @ExcelProperty("企业名称(中文)")
    @ApiModelProperty(value = "企业名称(中文)")
    private String enterpriseName;

    /**
     * 企业名称(英文)
     */
    @ExcelProperty("企业名称(英文)")
    @ApiModelProperty(value = "企业名称(英文)")
    private String enterpriseNameEn;

    @ApiModelProperty(value = "公司简介")
    private String enterpriseDesc;


    @ApiModelProperty(value = "公司官网")
    private String enterpriseWebsite;


    @ApiModelProperty(value = "公司地址")
    private String enterpriseAddress;


    @ApiModelProperty(value = "档口")
    private String enterpriseStall;


    @ApiModelProperty(value = "品牌")
    private String enterpriseBrand;

    /**
     * 客户状态
     */
    @ApiModelProperty(value = "客户成交状态  3 成交 其他 未成交 ")
    private Integer customerStatus;

    /**
     * 区号
     */
    @ExcelProperty("区号")
    @ApiModelProperty(value = "区号")
    private String areaCode;

    @ApiModelProperty(value = "注册日期")
    private String registDate;

    @ApiModelProperty(value = "注册量")
    private Integer groupCount;

    @ApiModelProperty(value = "是否简单密码", example = "false")
    private Boolean isSimplePassword = Boolean.FALSE;

}
